__gnu_parallel::__generic_for_each_selector< _It >(3cxx)

NAME
__gnu_parallel::__generic_for_each_selector< _It > - Generic __selector for embarrassingly parallel functions.

SYNOPSIS

Inherited by __gnu_parallel::__accumulate_selector< _It >, __gnu_parallel::__adjacent_difference_selector< _It >, __gnu_parallel::__count_if_selector< _It, _Diff >, __gnu_parallel::__count_selector< _It, _Diff >, __gnu_parallel::__fill_selector< _It >, __gnu_parallel::__for_each_selector< _It >, __gnu_parallel::__generate_selector< _It >, __gnu_parallel::__identity_selector< _It >, __gnu_parallel::__inner_product_selector< _It, _It2, _Tp >, __gnu_parallel::__replace_if_selector< _It, _Op, _Tp >, __gnu_parallel::__replace_selector< _It, _Tp >, __gnu_parallel::__transform1_selector< _It >, and __gnu_parallel::__transform2_selector< _It >.

  Public Attributes

_It _M_finish_iterator
_Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Detailed Description

  template<typename _It>
struct __gnu_parallel::__generic_for_each_selector< _It >" Generic __selector for embarrassingly parallel functions.

Definition at line 42 of file for_each_selectors.h.

Member Data Documentation

  template<typename _It > _It __gnu_parallel::__generic_for_each_selector< _It >::_M_finish_iterator

_Iterator on last element processed; needed for some algorithms (e. g. std::transform()).

Definition at line 47 of file for_each_selectors.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.